<?php

namespace Tests\App\Models;

use Tests\Support\ModelCrudTestCase;
use App\Models\StudentModel;

class StudentModelTest extends ModelCrudTestCase
{

    public function testCanInsertAndRetrieve()
    {
        $this->assertModelCanInsertAndRetrieve(StudentModel::class);
    }

    public function testCanUpdate()
    {
        $this->assertModelCanUpdate(StudentModel::class);
    }

    public function testCanDelete()
    {
        $this->assertModelCanDelete(StudentModel::class);
    }
}
